Bug 252457 - Review Request: prtconf - SPARC OpenPROM dump utility
Summary: Review Request: prtconf - SPARC OpenPROM dump utility
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-16 04:37 UTC by Dennis Gilmore
Modified: 2008-03-04 05:13 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-03-04 05:13:28 UTC
Type: ---
tibbs: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Dennis Gilmore 2007-08-16 04:37:58 UTC
Spec URL: http://ausil.us/packages/prtconf.spec
SRPM URL: http://ausil.us/packages/prtconf-1.3-6.al3.src.rpm
Description: 
This utility will dump SPARC OpenPROM device tree
in the format similar to Solaris prtconf, that is,
in a nicely readable compact format.

Comment 1 Jason Tibbitts 2007-11-07 00:51:22 UTC
There's a koji sparc instance now, isn't there?  Could you point to a scratch
build of this?  Otherwise I fear you might be waiting a while for a review.

Comment 2 Dennis Gilmore 2007-11-07 01:59:56 UTC
http://sparc.koji.fedoraproject.org/koji/taskinfo?taskID=30655

Here you go :)

Comment 3 Jason Tibbitts 2008-01-18 20:48:29 UTC
Completely forgot to make it back to this.

It's kind of tough to do a review on an arch you don't have, but:

  prtconf.sparc: W: non-standard-group Utilities/System
Not a problem.

  prtconf-debuginfo.sparc: E: empty-debuginfo-package
Nothing at all there.  The compiler isn't being called with the proper set of
flags, and CFLAGS is overridden in the Makefile.

  prtconf.sparc: W: incoherent-version-in-changelog 1.3-7 1.3-6.al3
Maybe Release: didn't get updated with the last change to the package?

  prtconf.sparc: E: wrong-script-end-of-line-encoding /usr/share/prtconf/examples/ultrabook
  prtconf.sparc: E: script-without-shebang /usr/share/prtconf/examples/cp1500
  prtconf.sparc: E: script-without-shebang /usr/share/prtconf/examples/ultra450
  prtconf.sparc: E: script-without-shebang /usr/share/prtconf/examples/e10000#2
  prtconf.sparc: E: script-without-shebang /usr/share/prtconf/examples/e3000
  prtconf.sparc: E: script-without-shebang /usr/share/prtconf/examples/ultra5
  prtconf.sparc: E: script-without-shebang /usr/share/prtconf/examples/ss1000
  prtconf.sparc: E: script-without-shebang /usr/share/prtconf/examples/ultra2
  prtconf.sparc: E: script-without-shebang /usr/share/prtconf/examples/ultra1
  prtconf.sparc: E: script-without-shebang /usr/share/prtconf/examples/ultraAX
  prtconf.sparc: E: script-without-shebang /usr/share/prtconf/examples/ss2000
  prtconf.sparc: E: script-without-shebang /usr/share/prtconf/examples/ultra30
  prtconf.sparc: E: script-without-shebang /usr/share/prtconf/examples/ss20
  prtconf.sparc: E: script-without-shebang /usr/share/prtconf/examples/ss4
  prtconf.sparc: E: script-without-shebang /usr/share/prtconf/examples/ss5
  prtconf.sparc: E: script-without-shebang /usr/share/prtconf/examples/ss2
  prtconf.sparc: E: script-without-shebang /usr/share/prtconf/examples/ultra250
  prtconf.sparc: E: script-without-shebang /usr/share/prtconf/examples/e5000
  prtconf.sparc: E: script-without-shebang /usr/share/prtconf/examples/ultrabook
  prtconf.sparc: E: script-without-shebang /usr/share/prtconf/examples/je1
  prtconf.sparc: E: script-without-shebang /usr/share/prtconf/examples/ipx
  prtconf.sparc: E: script-without-shebang /usr/share/prtconf/examples/s3gx
  prtconf.sparc: E: script-without-shebang /usr/share/prtconf/examples/e10000#1
  prtconf.sparc: E: script-without-shebang /usr/share/prtconf/examples/ss10
  prtconf.sparc: E: script-without-shebang /usr/share/prtconf/examples/e4000
  prtconf.sparc: E: script-without-shebang /usr/share/prtconf/examples/ss1000e
I'm not sure what these are about.  I'm pretty sure they shouldn't be
executable, and they're probably only useful as documentation.  (I'd just drop
the "install examples/*" bit from %install and just stick "%doc examples" in
the %files list.  And the untrabook example might as well have a pass through
sed.

Some other bits:

I'm not sure URL is useful; it just points me at the sunsite main page.

The COPYING file needs to be included as %doc.

I can't install or test this package so here's as much review as I can do:
* source files match upstream:
   28a9b9d0a680050e33b5ea54aede0f8fcedd51568cd23cd5f3d225fdb608c112
   prtconf-1.3.tgz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
X license text included in upstream tarball but is not in the package..
* latest version is being packaged.
* BuildRequires are proper (none)
X compiler flags are not the recommended ones.
* %clean is present.
* package builds in koji (scratch build provided)
X debuginfo package is not complete.
X rpmlint has valid complaints
* final dependencies are sane.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
X file permissions odd (executable examples)
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.


Comment 5 Jason Tibbitts 2008-01-20 01:33:30 UTC
Looks good to me; the only remaining rpmlint complaint is
  prtconf.sparc: W: incoherent-version-in-changelog 1.3-8 1.3-8.al3
which is due to rpmlint not comprehending the .al3 dist tag and can be ignored.

The examples have been moved to %doc.
The license file is included in the package.

APPROVED


Comment 6 Dennis Gilmore 2008-01-20 02:05:43 UTC
Package Name: prtconf
Short Description: SPARC OpenPROM dump utility
Owners: ausil pjones spot jima
Branches: devel
InitialCC: 
Cvsextras Commits: yes

Comment 7 Jason Tibbitts 2008-03-04 03:15:17 UTC
Any reason not to close this?

Comment 8 Dennis Gilmore 2008-03-04 05:13:28 UTC
its checked in and built  time to close


Note You need to log in before you can comment on or make changes to this bug.